Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.compress.archivers.zip
Class ZipLong

    java.lang.Object
      org.apache.commons.compress.archivers.zip.ZipLong

All Implemented Interfaces:
  Cloneable

    public final class ZipLong

extends Object
implements Cloneable

Utility class that represents a four byte integer with conversion rules for the big endian byte order of ZIP files.

Field Summary
`static ZipLong` | `CFH_SIG` Central File Header Signature
`static ZipLong` | `LFH_SIG` Local File Header Signature

Constructor Summary
`ZipLong(byte[] bytes)` Create instance from bytes.
`ZipLong(byte[] bytes, int offset)` Create instance from the four bytes starting at offset.
`ZipLong(long value)` Create instance from a number.

Method Summary
`Object` | `clone()`
`boolean` | `equals(Object o)` Override to make two instances with same value equal.
`byte[]` | `getBytes()` Get value as four bytes in big endian byte order.
`static byte[]` | `getBytes(long value)` Get value as four bytes in big endian byte order.
`long` | `getValue()` Get value as Java long.
`static long` | `getValue(byte[] bytes)` Helper method to get the value as a Java long from a four-byte array
`static long` | `getValue(byte[] bytes, int offset)` Helper method to get the value as a Java long from four bytes starting at given array offset
`int` | `hashCode()` Override to make two instances with same value equal.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CFH_SIG

    public static final ZipLong CFH_SIG

  Central File Header Signature

### LFH_SIG

    public static final ZipLong LFH_SIG

  Local File Header Signature

Constructor Detail

### ZipLong

    public ZipLong(long value)

  Create instance from a number.

  Parameters:
    `value` - the long to store as a ZipLong

### ZipLong

    public ZipLong(byte[] bytes)

  Create instance from bytes.

  Parameters:
    `bytes` - the bytes to store as a ZipLong

### ZipLong

    public ZipLong(byte[] bytes,
                   int offset)

  Create instance from the four bytes starting at offset.

  Parameters:
    `bytes` - the bytes to store as a ZipLong
    `offset` - the offset to start

Method Detail

### getBytes

    public byte[] getBytes()

  Get value as four bytes in big endian byte order.

  Returns:
    value as four bytes in big endian order

### getValue

    public long getValue()

  Get value as Java long.

  Returns:
    value as a long

### getBytes

    public static byte[] getBytes(long value)

  Get value as four bytes in big endian byte order.

  Parameters:
    `value` - the value to convert
  Returns:
    value as four bytes in big endian byte order

### getValue

    public static long getValue(byte[] bytes,
                                int offset)

  Helper method to get the value as a Java long from four bytes starting at given array offset

  Parameters:
    `bytes` - the array of bytes
    `offset` - the offset to start
  Returns:
    the correspondanding Java long value

### getValue

    public static long getValue(byte[] bytes)

  Helper method to get the value as a Java long from a four-byte array

  Parameters:
    `bytes` - the array of bytes
  Returns:
    the correspondanding Java long value

### equals

    public boolean equals(Object o)

  Override to make two instances with same value equal.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `o` - an object to compare
  Returns:
    true if the objects are equal

### hashCode

    public int hashCode()

  Override to make two instances with same value equal.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the value stored in the ZipLong

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 The Apache Software Foundation. All Rights Reserved.